--- a/arch/mips/bcm63xx/boards/board_bcm963xx.c
+++ b/arch/mips/bcm63xx/boards/board_bcm963xx.c
@@ -1941,6 +1941,117 @@ static struct board_info __initdata boar
 };
 #endif /* CONFIG_BCM63XX_CPU_6358 */
 
+#ifdef CONFIG_BCM63XX_CPU_6362
+static struct board_info __initdata board_dgnd3700v2 = {
+	.name = "96362ADVN2xh",
+	.expected_cpu_id = 0x6362,
+
+	.has_pci = 1,
+	.has_ohci0 = 1,
+	.has_ehci0 = 1,
+	.num_usbh_ports = 2,
+
+	.has_enetsw = 1,
+	.enetsw = {
+		.used_ports = {
+			[4] = {
+				.used = 1,
+				.phy_id = 0xff,
+				.bypass_link = 1,
+				.force_speed = 1000,
+				.force_duplex_full = 1,
+				.name = "RGMII",
+			},
+		},
+	},
+};
+
+static struct board_info __initdata board_fast2504n = {
+	.name = "F@ST2504n",
+	.expected_cpu_id = 0x6362,
+
+	.has_enetsw = 1,
+	.enetsw = {
+		.used_ports = {
+			[0] = {
+				.used = 1,
+				.phy_id = 1,
+				.name = "Port 1",
+			},
+			[1] = {
+				.used = 1,
+				.phy_id = 2,
+				.name = "Port 2",
+			},
+			[2] = {
+				.used = 1,
+				.phy_id = 3,
+				.name = "Port 3",
+			},
+			[3] = {
+				.used = 1,
+				.phy_id = 4,
+				.name = "Port 4",
+			},
+		},
+	},
+};
+
+static struct board_info __initdata board_hg253s_v2 = {
+	.name = "hg253s",
+	.expected_cpu_id = 0x6362,
+
+	.has_ohci0 = 1,
+	.has_ehci0 = 1,
+	.num_usbh_ports = 1,
+
+	.has_enetsw = 1,
+	.enetsw = {
+		.used_ports = {
+			[4] = {
+				.used = 1,
+				.phy_id = 0xff,
+				.bypass_link = 1,
+				.force_speed = 1000,
+				.force_duplex_full = 1,
+				.timing_sel = 1,
+				.name = "RGMII",
+			},
+
+			[5] = {
+				.used = 1,
+				.phy_id = 24,
+				.timing_sel = 1,
+				.name = "WAN",
+			},
+		},
+	},
+};
+
+static struct board_info __initdata board_nb6 = {
+	.name = "NB6",
+	.expected_cpu_id = 0x6362,
+
+	.has_ohci0 = 1,
+	.has_ehci0 = 1,
+	.num_usbh_ports = 2,
+
+	.has_enetsw = 1,
+	.enetsw = {
+		.used_ports = {
+			[4] = {
+				.used = 1,
+				.phy_id = 0xff,
+				.bypass_link = 1,
+				.force_speed = 1000,
+				.force_duplex_full = 1,
+				.name = "RGMII",
+			},
+		},
+	},
+};
+#endif /* CONFIG_BCM63XX_CPU_6362 */
+
 /*
  * all boards
  */
@@ -2024,6 +2135,12 @@ static const struct board_info __initcon
 	&board_nb4_fxc_r1,
 	&board_spw303v,
 #endif /* CONFIG_BCM63XX_CPU_6358 */
+#ifdef CONFIG_BCM63XX_CPU_6362
+	&board_dgnd3700v2,
+	&board_fast2504n,
+	&board_hg253s_v2,
+	&board_nb6,
+#endif /* CONFIG_BCM63XX_CPU_6362 */
 };
 
 static struct of_device_id const bcm963xx_boards_dt[] = {
@@ -2119,6 +2236,10 @@ static struct of_device_id const bcm963x
 	{ .compatible = "telsey,cpva642", .data = &board_CPVA642, },
 #endif /* CONFIG_BCM63XX_CPU_6358 */
 #ifdef CONFIG_BCM63XX_CPU_6362
+	{ .compatible = "huawei,hg253s-v2", .data = &board_hg253s_v2, },
+	{ .compatible = "netgear,dgnd3700-v2", .data = &board_dgnd3700v2, },
+	{ .compatible = "sagem,fast-2504n", .data = &board_fast2504n, },
+	{ .compatible = "sfr,neufbox-6-sercomm-r0", .data = &board_nb6, },
 #endif /* CONFIG_BCM63XX_CPU_6362 */
 #ifdef CONFIG_BCM63XX_CPU_6368
 #endif /* CONFIG_BCM63XX_CPU_6368 */
